Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.gemini.blueprint.extender
Interface OsgiBeanFactoryPostProcessor

All Known Implementing Classes:
  OsgiAnnotationPostProcessor

    public interface OsgiBeanFactoryPostProcessor

Extender hook that allows custom modification of an application context's bean definitions. New beans can be created, removed or existing definitions modified.

Similar in functionality with Spring's BeanFactoryPostProcessor, this interface also considers the BundleContext in which the beanFactory runs.

Just like the BeanFactoryPostProcessor, the post processing happens during the creation of the bean factory but before any beans (including declared BeanFactoryPostProcessors) are initialized.

Author:
  Costin Leau
See Also:
  `BeanFactoryPostProcessor`, `BundleContext`

Method Summary
`void` | `postProcessBeanFactory(org.osgi.framework.BundleContext bundleContext, org.springframework.beans.factory.config.ConfigurableListableBeanFactory beanFactory)` Modifies the application context's internal bean factory after its standard initialization.

Method Detail

### postProcessBeanFactory

    void postProcessBeanFactory(org.osgi.framework.BundleContext bundleContext,
                                org.springframework.beans.factory.config.ConfigurableListableBeanFactory beanFactory)
                                throws org.springframework.beans.BeansException,
                                       org.osgi.framework.InvalidSyntaxException,
                                       org.osgi.framework.BundleException

  Modifies the application context's internal bean factory after its standard initialization. All bean definitions will have been loaded, but no beans will have been instantiated yet. This allows for overriding or adding properties even to eager-initializing beans.

  Parameters:
    `bundleContext` - bundle
    `beanFactory` - the bean factory used by the application context
  Throws:
    `org.springframework.beans.BeansException` - in case of factory errors
    `org.osgi.framework.InvalidSyntaxException` - in case of OSGi filters errors
    `org.osgi.framework.BundleException` - in case of OSGi bundle errors

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013. All Rights Reserved.